Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.bea.wls.web
Class WeblogicWebXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.bea.wls.web.WeblogicWebXmlSubTask

All Implemented Interfaces:
  Serializable

public class WeblogicWebXmlSubTask
extends XmlSubTask

Generates weblogic.xml deployment descriptor for Web apps.

Version:
  $Revision: 1.7 $
Author:
  Aslak Hellesøy
See Also:
  Serialized Form
ant.element
  display-name="WebLogic Server" name="weblogicwebxml" parent="xdoclet.modules.web.WebDocletTask"
created
  October 9, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WeblogicWebXmlSubTask()` Describe what the WeblogicWebXmlSubTask constructor does

Method Summary
`String` | `getContextRoot()` Return the Context Root.
`String` | `getDescription()` Return the Description.
`String` | `getSecuritydomain()` Return the Security Domain.
`String` | `getVersion()` Return the WLS version.
`void` | `setContextRoot(String contextRoot)` Set the Context Root.
`void` | `setDescription(String description)` Set the Description.
`void` | `setSecuritydomain(String securityDomain)` Set the Security Domain.
`void` | `setVersion(String version)` Set the WLS version.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeblogicWebXmlSubTask

    public WeblogicWebXmlSubTask()
                          throws XDocletException

  Describe what the WeblogicWebXmlSubTask constructor does

Throws:
  `XDocletException` - Describe the exception

Method Detail

### getVersion

    public String getVersion()

  Return the WLS version.

  Returns:
    The WLS version

### getSecuritydomain

    public String getSecuritydomain()

  Return the Security Domain.

  Returns:
    The Security Domain value

### getDescription

    public String getDescription()

  Return the Description.

  Returns:
    The Description value

### getContextRoot

    public String getContextRoot()

  Return the Context Root.

  Returns:
    The ContextRoot value

### setVersion

    public void setVersion(String version)

  Set the WLS version.

  Parameters:
    `version` - The new Version value

### setSecuritydomain

    public void setSecuritydomain(String securityDomain)

  Set the Security Domain.

  Parameters:
    `securityDomain` - The new Security Domain value

### setDescription

    public void setDescription(String description)

  Set the Description.

  Parameters:
    `description` - The new Description value

### setContextRoot

    public void setContextRoot(String contextRoot)

  Set the Context Root.

  Parameters:
    `contextRoot` - The new ContextRoot value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD